## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyType

Field Summary
`String` | `typeName`

Constructor Summary
`SimpleGroovyType(String typeName)`

Method Summary
`GroovyClassDoc` | `asClassDoc()`
`String` | `dimension()`
`String` | `fullDottedName()`
`boolean` | `isPrimitive()`
`String` | `qualifiedTypeName()`
`String` | `simpleTypeName()`
`String` | `typeName()`

Constructor Detail

### SimpleGroovyType

    public SimpleGroovyType(String typeName)

Method Detail

### asClassDoc

    public GroovyClassDoc asClassDoc()

### dimension

    public String dimension()

### fullDottedName

    public String fullDottedName()

### isPrimitive

    public boolean isPrimitive()

### qualifiedTypeName

    public String qualifiedTypeName()

### simpleTypeName

    public String simpleTypeName()

### typeName

    public String typeName()